# FlowsUpdatesFilter - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.updateshandlers / FlowsUpdatesFilter

# FlowsUpdatesFilter

(common) `@FlowPreview class FlowsUpdatesFilter : UpdatesFilter` (source)

### Constructors

(common)

#### <init>

`FlowsUpdatesFilter(broadcastChannelsSize: Int = Channel.CONFLATED)`

### Properties

(common)

#### allowedUpdates

`val allowedUpdates: List<String>`

(common)

#### asUpdateReceiver

`val asUpdateReceiver: UpdateReceiver<Update>`

(common)

#### callbackQueryFlow

`val callbackQueryFlow: Flow<CallbackQueryUpdate>`

(common)

#### channelPostFlow

`val channelPostFlow: Flow<ChannelPostUpdate>`

(common)

#### channelPostMediaGroupFlow

`val channelPostMediaGroupFlow: Flow<ChannelPostMediaGroupUpdate>`

(common)

#### chosenInlineResultFlow

`val chosenInlineResultFlow: Flow<ChosenInlineResultUpdate>`

(common)

#### editedChannelPostFlow

`val editedChannelPostFlow: Flow<EditChannelPostUpdate>`

(common)

#### editedChannelPostMediaGroupFlow

`val editedChannelPostMediaGroupFlow: Flow<EditChannelPostMediaGroupUpdate>`

(common)

#### editedMessageFlow

`val editedMessageFlow: Flow<EditMessageUpdate>`

(common)

#### editedMessageMediaGroupFlow

`val editedMessageMediaGroupFlow: Flow<EditMessageMediaGroupUpdate>`

(common)

#### filter

`val filter: SimpleUpdatesFilter`

(common)

#### inlineQueryFlow

`val inlineQueryFlow: Flow<InlineQueryUpdate>`

(common)

#### messageFlow

`val messageFlow: Flow<MessageUpdate>`

(common)

#### messageMediaGroupFlow

`val messageMediaGroupFlow: Flow<MessageMediaGroupUpdate>`

(common)

#### pollAnswerFlow

`val pollAnswerFlow: Flow<PollAnswerUpdate>`

(common)

#### pollFlow

`val pollFlow: Flow<PollUpdate>`

(common)

#### preCheckoutQueryFlow

`val preCheckoutQueryFlow: Flow<PreCheckoutQueryUpdate>`

(common)

#### shippingQueryFlow

`val shippingQueryFlow: Flow<ShippingQueryUpdate>`

(common)

#### unknownUpdateTypeFlow

`val unknownUpdateTypeFlow: Flow<Update>`